org.apache.hadoop.yarn.api.protocolrecords

## Class StopContainersResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.StopContainersResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class StopContainersResponse
      extends Object

  The response sent by the `NodeManager` to the `ApplicationMaster` when asked to stop allocated containers.

  See Also:
    `ContainerManagementProtocol.stopContainers(StopContainersRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StopContainersResponse()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException>` | `getFailedRequests()` Get the containerId-to-exception map in which the exception indicates error from per container for failed requests
    `abstract List<ContainerId>` | `getSuccessfullyStoppedContainers()` Get the list of containerIds of successfully stopped containers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StopContainersResponse

          public StopContainersResponse()

  - ### Method Detail

    - #### getSuccessfullyStoppedContainers

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract List<ContainerId> getSuccessfullyStoppedContainers()

      Get the list of containerIds of successfully stopped containers.
      Returns:
        the list of containerIds of successfully stopped containers.

    - #### getFailedRequests

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract Map<ContainerId,org.apache.hadoop.yarn.api.records.SerializedException> getFailedRequests()

      Get the containerId-to-exception map in which the exception indicates error from per container for failed requests
      Returns:
        map of containerId-to-exception

Copyright © 2022 Apache Software Foundation. All rights reserved.